Prev Top Next

Name
KXL_DrawRectangle
Synopsis

    KXL_DrawRectangle -- A rectangle is drawn.
    It clears by the color set up by KXL_SetDrawColor.

Description

    void KXL_DrawRectangle(Sint16 left, Sint16 top, Uint16 width, Uint16 height, Bool fill);

Arguments

left | Left position which draws.
top | Top position which draws.
width | Width which draws.
height | Height which draws.
fill | True = The inside of a rectangle is applied. False = The inside of a rectangle is not applied.

Return Value
Nothing.
Exsample

    #include <KXL.h>

    int main(void)
    {
      Sint16 i;

      KXL_CreateWindow(100, 100, "sample", 0);
      for (i = 0; i < 20; i ++) {
        KXL_SetDrawColor(rand() % 0xff, rand() % 0xff, rand() % 0xff);
        KXL_DrawRectangle(rand() % 80, rand() % 80, 20, 20, True);
      }
      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_DeleteWindow();
      return 0;
    }